[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [Fretboard](index.md) / [clearAllOverridesNow](./clear-all-overrides-now.md)

# clearAllOverridesNow

`fun clearAllOverridesNow(context: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/Fretboard.kt#L184)

Clears all experiment overrides as a blocking operation

### Exceptions

`IllegalArgumentException` - when called from the main thread

### Parameters

`context` - context